Bug 2225590

Summary: codec2 version 1.2.0 has been released
Product: [Fedora] Fedora Reporter: Brian Morrison <bdm>
Component: codec2Assignee: Richard Shaw <hobbes1069>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 38CC: hobbes1069, redhat-bugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: codec2-1.2.0-2.fc39 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-08-06 15:48:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Brian Morrison 2023-07-25 14:20:40 UTC
codec2 new release after a significant code tidy-up and improvement.

Reproducible: Always

Comment 1 Richard Shaw 2023-08-05 21:31:10 UTC
Working on Rawhide right now. Unfortunately codec2 is used by other projects making upgrades complicated.

Comment 2 Brian Morrison 2023-08-05 21:45:16 UTC
Might be necessary to have a compat version that supports older modes, the plan is to remove the older modes that have been superseded by ones with better performance.

Comment 3 Richard Shaw 2023-08-06 13:25:11 UTC
I think the best option is to just statically build codec2 with FreeDV instead.

Comment 4 Fedora Update System 2023-08-06 14:13:21 UTC
FEDORA-2023-04fa1b81c3 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-04fa1b81c3

Comment 5 Fedora Update System 2023-08-06 15:48:08 UTC
FEDORA-2023-04fa1b81c3 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.